Package org.opensaml.messaging.encoder

# Interface HTMLMessageEncoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageEncoder`

All Known Implementing Classes:
  `HTTPArtifactEncoder`, `HTTPPostEncoder`, `HTTPPostEncoder`, `HTTPPostSimpleSignEncoder`

public interface HTMLMessageEncoder extends MessageEncoder
Interface for a `MessageEncoder` that relies on HTML output, and thus requires CSP considerations.

Since:
  5.1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`setCSPDigester(StringDigester digester)`
Set a `StringDigester` to use to generate CSP hashes.
`void`
`setCSPNonceGenerator(IdentifierGenerationStrategy strategy)`
Set a `IdentifierGenerationStrategy` to use to generate CSP nonces.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Method Details

### setCSPDigester

void setCSPDigester(@Nullable StringDigester digester)
Set a `StringDigester` to use to generate CSP hashes.

Parameters:
  `digester` - string digester
Since:
  5.1.0

### setCSPNonceGenerator

void setCSPNonceGenerator(@Nullable IdentifierGenerationStrategy strategy)
Set a `IdentifierGenerationStrategy` to use to generate CSP nonces.

Parameters:
  `strategy` - nonce strategy
Since:
  5.1.0